petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscLayoutGetRange

gets the range of values owned by this process

### Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetRange(PetscLayout map,PetscInt *rstart,PetscInt *rend)

Not Collective

### Input Parameters

map -pointer to the map

### Output Parameters

| rstart | - first index owned by this process
| rend | - one more than the last index owned by this process

### Notes

Call this after the call to PetscLayoutSetUp()

### See Also

PetscLayoutCreate(), PetscLayoutSetLocalSize(), PetscLayoutGetLocalSize(), PetscLayoutSetSize(),
PetscLayoutGetSize(), PetscLayoutGetRanges(), PetscLayoutSetBlockSize(), PetscLayoutGetSize(), PetscLayoutSetUp()

### Level

developer

### Location

src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages